Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05077 Graphics Major Always Dec 1, 2012, 16:28 Dec 20, 2012, 13:38
Tester Zaghadka View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver missile.cpp
Version 0.147u3 Fixed in Version 0.148 Build 64-bit
Summary 05077: All playable sets in missile.c: Graphics corrupt in Missile Command
Description Random specs appear across the playfield when executing any of the working missle.c games.
Steps To Reproduce Launch game and wait.
Additional Information
Flags
Regression Version 0.147u3
Affected Sets / Systems All playable sets in missile.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.09113
Zaghadka
Tester
Dec 1, 2012, 16:42
Tried playing for a few minutes with all the snow on the screen. Sounds eventually become corrupted, and then I had an emulation reset occur around the 4x wave. The black background turned to white when this happened.
User avatar
No.09131
Phil Bennett
Developer
Dec 10, 2012, 14:41
The problem lies with the delayed VRAM write-enable hack in get_madsel(). Since the 6502 core became cycle-accurate the hack no longer works correctly.
User avatar
No.09144
Phil Bennett
Developer
Dec 20, 2012, 13:38
VRAM accesses were being lost whenever an instruction occurred either before or during an interrupt. The new MADSEL handling fixes this.